DaemonExecutor
Date: 2017-01-22

org.apache.commons.exec

## Class DaemonExecutor

- java.lang.Object
- - org.apache.commons.exec.DefaultExecutor
  - - org.apache.commons.exec.DaemonExecutor

- All Implemented Interfaces:
    Executor

      public class DaemonExecutor
      extends DefaultExecutor

  Runs daemon processes asynchronously. Callers are expected to register a `ProcessDestroyer` before executing any processes.
  Since:
    1.3

- - ### Field Summary

    - ### Fields inherited from interface org.apache.commons.exec.Executor

      `INVALID_EXITVALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DaemonExecutor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Thread` | `createThread(java.lang.Runnable runnable, java.lang.String name)` Factory method to create a thread waiting for the result of an asynchronous execution.

    - ### Methods inherited from class org.apache.commons.exec.DefaultExecutor

      `execute, execute, execute, execute, getExecutorThread, getProcessDestroyer, getStreamHandler, getWatchdog, getWorkingDirectory, isFailure, launch, setExitValue, setExitValues, setProcessDestroyer, setStreamHandler, setWatchdog, setWorkingDirectory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DaemonExecutor

          public DaemonExecutor()

  - ### Method Detail

    - #### createThread

          protected java.lang.Thread createThread(java.lang.Runnable runnable,
                                      java.lang.String name)

      Factory method to create a thread waiting for the result of an asynchronous execution.
      Overrides:
        `createThread` in class `DefaultExecutor`
      Parameters:
        `runnable` - the runnable passed to the thread
        `name` - the name of the thread
      Returns:
        the thread